.\"	$NetBSD: amrctl.8,v 1.2 2006/07/23 13:23:12 wiz Exp $
.\"
.\" Copyright (c) 2006 Manuel Bouyer.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd July 22, 2006
.Dt AMRCTL 8
.Os
.Sh NAME
.Nm amrctl
.Nd Control utility for AMI MegaRaid controllers
.Sh SYNOPSIS
.Nm
.Ar stat
.Op Fl bgv
.Op Fl a Ar attempts
.Op Fl f Ar device
.Op Fl l Ar volno
.Op Fl p Ar driveno
.Op Fl s Ar busno
.Op Fl s Ar busno:driveno
.Op Fl t Ar microseconds
.Sh DESCRIPTION
The
.Nm
queries or controls AMI MegaRaid controllers supported
by the
.Xr amr 4
driver.
.Pp
Only the
.Ar stat
subcommand is currently implemented, and reports status of the controller.
The options for the
.Ar stat
subcommand are as follows:
.Bl -tag -offset indent -width XpXperiodXX
.It Fl a Ar attempts
Number of retries for a command before giving up.
Default 5.
.It Fl b
Report battery status.
.It Fl f Ar device
Device to use.
Default to
.Pa /dev/amr0 .
.It Fl g
Report global paramters for the controller.
.It Fl l Ar volno
Report status of a logical drive.
.It Fl p Ar driveno
Report status of a physical drive.
.It Fl s Ar busno
Report status of all physical drives on the specified bus.
.It Fl s Ar busno:driveno
Report status of the specified physical drive on the specified bus.
.It Fl t Ar microseconds
Delay between retries for a command.
.It Fl v
Increase verbosity level by one.
.El
.Sh SEE ALSO
.Xr amr 4
.Sh HISTORY
The
.Nm
command first appeared in
.Nx 4.0 .
.Sh AUTHORS
The
.Nm
command was written by
.An Pierre David
.Aq Pierre.David@crc.u-strasbg.fr
and
.An Jung-uk Kim
.Aq jkim@FreeBSD.org
for
.Fx .
